<?php

declare(strict_types=1);

namespace App\Core;

abstract class Controller
{
    protected function view(string $view, array $params = []): string
    {
        return View::render($view, $params);
    }

    protected function redirect(string $path): void
    {
        app()->response()->redirect($path);
    }
}
